PETSc version 3.15.5
Fix/Edit manual page

# MatCoarsenGetData

Gets the weights for vertices for a coarsen.

### Synopsis

    #include "petscmatcoarsen.h"
    PetscErrorCode MatCoarsenGetData(MatCoarsen coarser, PetscCoarsenData **llist)

Logically Collective on Coarsen

### Input Parameter

| coarser | - the coarsen context

### Output Parameter

| llist | - linked list of aggregates

### See Also

MatCoarsenCreate(), MatCoarsenSetType()

### Level

advanced

### Location

src/mat/coarsen/coarsen.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages